\ProvidesPackage{authentic-poster}

\RequirePackage{xkeyval}
\RequirePackage{xcolor}
\RequirePackage{tikz}
\usetikzlibrary{shapes}
\usetikzlibrary{calc}
\RequirePackage{titling}
\RequirePackage{helvet}
\RequirePackage{enumitem}

% Colors based on picture book color theme (https://color.adobe.com/explore/?q=Picture+Book)
\definecolor{authentic@primary}{HTML}{56B9D0}
\definecolor{authentic@background}{HTML}{FAFAFA}
% \colorlet{authentic@secondary}{authentic@secondary!70!authentic@background}%
\definecolor{authentic@secondary}{HTML}{FBBA42}
\definecolor{authentic@tertiary}{HTML}{F24C27}
\definecolor{authentic@quarternary}{HTML}{3B3F42}

\def\authentic@text{authentic@quarternary}
\DeclareOptionX{text}[]{%
  \def\authentic@text{#1}%
}
\def\authentic@headerbackground{authentic@primary}
\DeclareOptionX{header}[]{%
  \def\authentic@headerbackground{#1}%
}
\def\authentic@headertext{white}
\DeclareOptionX{headertext}[]{%
  \def\authentic@headertext{#1}%
}
\def\authentic@boxesbackground{authentic@background}
\DeclareOptionX{boxes}[]{%
  \def\authentic@boxesbackground{#1}%
}
\def\authentic@boxestitles{authentic@secondary}
\DeclareOptionX{titles}[]{%
  \def\authentic@boxestitles{#1}%
}

\ProcessOptionsX\relax

\newlength{\A}
\setlength{\A}{0.12\linewidth}

\tikzstyle{box}=[
  inner sep=0.5\A,
  inner ysep=0.5\A,
  draw=authentic@tertiary,
  fill=white,
  font=\Large\sffamily
]

\tikzstyle{title}=[
  inner xsep=.5\A,
%   inner ysep=0.5\A,
  text height=1.4\A,
  minimum height=2\A,
  fill=white,
  text=\authentic@boxestitles,
  font=\huge\bfseries\sffamily
]

\tikzstyle{spacer}=[
  fill=none,
  draw=none
]

\tikzstyle{footer}=[
  fill=authentic@quarternary,
  anchor=south west,
  text=\authentic@headertext,
  font=\large\sffamily,
  minimum width=\linewidth,
  text height=.75\A,
  text width=\linewidth-1\A
]


\color{\authentic@text}
\pagecolor{\authentic@boxesbackground}

\setlength{\columnsep}{4ex}

\renewcommand{\labelitemi}{$\textcolor{authentic@primary}{\bullet}$}
\setlist[itemize,1]{leftmargin=*,labelindent=0mm,labelsep=6mm,after=\vspace{.5em}}

\newcommand{\institute}[1]{%
  \def\authentic@institute{#1}%
}

\newlength{\logowidth}
\newlength{\headerwidth}
\newlength{\headerheight}
\newlength{\headerspace}
\newlength{\headertext}
\renewcommand{\maketitle}{%
  \setlength{\logowidth}{6.5\A}
  \setlength{\headerheight}{5\A}
  \setlength{\headerwidth}{\linewidth}
  \addtolength{\headerwidth}{-\logowidth}
  \setlength{\headerspace}{.5\A}
  \setlength{\headertext}{\headerwidth}
  \addtolength{\headertext}{-\headerspace}
  \begin{tikzpicture}%
    \fill[fill=\authentic@headerbackground]%
           (0.0, 0.0)%
      -- ++(\headerwidth, 0.0)%
      -- ++(0.0, -5\A)%
      -- ++(-\headerwidth, 0.0)%
      -- cycle;
    \node[anchor=north west, text=\authentic@headertext] at (.5\headerspace, -.5\A) {%
      \parbox{\headertext}{%
        {\fontsize{70}{84}\selectfont\sffamily\bfseries \thetitle}\\[.5em]%
        {\huge\sffamily \theauthor}\\[.5em]%
        {\Large\sffamily \authentic@institute}%
      }%
    };%
    \node[inner sep=0pt, anchor=east] (logo) at (\linewidth,-.5\headerheight)
    {\includegraphics[width=\logowidth,height=\headerheight,keepaspectratio]{adapsys2}};
  \end{tikzpicture}%
}

\newcommand{\makefooter}[1]{%
  \begin{tikzpicture}%
    \node[footer] {#1};%
  \end{tikzpicture}%
}

\newlength{\boxwidth}
\newcommand{\posterbox}[3][\linewidth]{%
  \setlength{\boxwidth}{#1}
  \addtolength{\boxwidth}{-\A}
  \parbox{#1}{%
    \begin{tikzpicture}%
      \node[title] (title) {#2};%
      \fill[spacer] (title.north east) -- (title.north west) -- ++(0,.4\A) -- ($(title.north east)+(0,.4\A)$) -- cycle;
      \node[box, anchor=north west] at (title.south west){%
        \parbox{\boxwidth}{#3}%
      };%
    \end{tikzpicture}%
  }%
}

% \geometry{noheadfoot, top=30mm, bottom=30mm, left=30mm, right=30mm}
\geometry{noheadfoot, top=\A, bottom=\A, left=\A, right=\A}

\endinput
